Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface JavaParserTreeConstants

All Known Implementing Classes:
  JavaParser

    public interface JavaParserTreeConstants

Field Summary
`static int` | `JJTADDITIVEEXPRESSION`
`static int` | `JJTALLOCATIONEXPRESSION`
`static int` | `JJTANDEXPRESSION`
`static int` | `JJTANNOTATION`
`static int` | `JJTANNOTATIONMETHODDECLARATION`
`static int` | `JJTANNOTATIONTYPEBODY`
`static int` | `JJTANNOTATIONTYPEDECLARATION`
`static int` | `JJTANNOTATIONTYPEMEMBERDECLARATION`
`static int` | `JJTARGUMENTLIST`
`static int` | `JJTARGUMENTS`
`static int` | `JJTARRAYDIMSANDINITS`
`static int` | `JJTARRAYINITIALIZER`
`static int` | `JJTASSERTSTATEMENT`
`static int` | `JJTASSIGNMENTOPERATOR`
`static int` | `JJTBLOCK`
`static int` | `JJTBLOCKSTATEMENT`
`static int` | `JJTBOOLEANLITERAL`
`static int` | `JJTBREAKSTATEMENT`
`static int` | `JJTCASTEXPRESSION`
`static int` | `JJTCATCHSTATEMENT`
`static int` | `JJTCLASSORINTERFACEBODY`
`static int` | `JJTCLASSORINTERFACEBODYDECLARATION`
`static int` | `JJTCLASSORINTERFACEDECLARATION`
`static int` | `JJTCLASSORINTERFACETYPE`
`static int` | `JJTCOMPILATIONUNIT`
`static int` | `JJTCONDITIONALANDEXPRESSION`
`static int` | `JJTCONDITIONALEXPRESSION`
`static int` | `JJTCONDITIONALOREXPRESSION`
`static int` | `JJTCONSTRUCTORDECLARATION`
`static int` | `JJTCONTINUESTATEMENT`
`static int` | `JJTDEFAULTVALUE`
`static int` | `JJTDOSTATEMENT`
`static int` | `JJTEMPTYSTATEMENT`
`static int` | `JJTENUMBODY`
`static int` | `JJTENUMCONSTANT`
`static int` | `JJTENUMDECLARATION`
`static int` | `JJTEQUALITYEXPRESSION`
`static int` | `JJTEXCLUSIVEOREXPRESSION`
`static int` | `JJTEXPLICITCONSTRUCTORINVOCATION`
`static int` | `JJTEXPRESSION`
`static int` | `JJTEXTENDSLIST`
`static int` | `JJTFIELDDECLARATION`
`static int` | `JJTFINALLYSTATEMENT`
`static int` | `JJTFORINIT`
`static int` | `JJTFORMALPARAMETER`
`static int` | `JJTFORMALPARAMETERS`
`static int` | `JJTFORSTATEMENT`
`static int` | `JJTFORUPDATE`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTIMPLEMENTSLIST`
`static int` | `JJTIMPORTDECLARATION`
`static int` | `JJTINCLUSIVEOREXPRESSION`
`static int` | `JJTINITIALIZER`
`static int` | `JJTINSTANCEOFEXPRESSION`
`static int` | `JJTLABELEDSTATEMENT`
`static int` | `JJTLITERAL`
`static int` | `JJTLOCALVARIABLEDECLARATION`
`static int` | `JJTMARKERANNOTATION`
`static int` | `JJTMEMBERSELECTOR`
`static int` | `JJTMEMBERVALUE`
`static int` | `JJTMEMBERVALUEARRAYINITIALIZER`
`static int` | `JJTMEMBERVALUEPAIR`
`static int` | `JJTMEMBERVALUEPAIRS`
`static int` | `JJTMETHODDECLARATION`
`static int` | `JJTMETHODDECLARATOR`
`static int` | `JJTMULTIPLICATIVEEXPRESSION`
`static int` | `JJTNAME`
`static int` | `JJTNAMELIST`
`static java.lang.String[]` | `jjtNodeName`
`static int` | `JJTNORMALANNOTATION`
`static int` | `JJTNULLLITERAL`
`static int` | `JJTPACKAGEDECLARATION`
`static int` | `JJTPOSTFIXEXPRESSION`
`static int` | `JJTPREDECREMENTEXPRESSION`
`static int` | `JJTPREINCREMENTEXPRESSION`
`static int` | `JJTPRIMARYEXPRESSION`
`static int` | `JJTPRIMARYPREFIX`
`static int` | `JJTPRIMARYSUFFIX`
`static int` | `JJTPRIMITIVETYPE`
`static int` | `JJTREFERENCETYPE`
`static int` | `JJTRELATIONALEXPRESSION`
`static int` | `JJTRESULTTYPE`
`static int` | `JJTRETURNSTATEMENT`
`static int` | `JJTRSIGNEDSHIFT`
`static int` | `JJTRUNSIGNEDSHIFT`
`static int` | `JJTSHIFTEXPRESSION`
`static int` | `JJTSINGLEMEMBERANNOTATION`
`static int` | `JJTSTATEMENT`
`static int` | `JJTSTATEMENTEXPRESSION`
`static int` | `JJTSTATEMENTEXPRESSIONLIST`
`static int` | `JJTSWITCHLABEL`
`static int` | `JJTSWITCHSTATEMENT`
`static int` | `JJTSYNCHRONIZEDSTATEMENT`
`static int` | `JJTTHROWSTATEMENT`
`static int` | `JJTTRYSTATEMENT`
`static int` | `JJTTYPE`
`static int` | `JJTTYPEARGUMENT`
`static int` | `JJTTYPEARGUMENTS`
`static int` | `JJTTYPEBOUND`
`static int` | `JJTTYPEDECLARATION`
`static int` | `JJTTYPEPARAMETER`
`static int` | `JJTTYPEPARAMETERS`
`static int` | `JJTUNARYEXPRESSION`
`static int` | `JJTUNARYEXPRESSIONNOTPLUSMINUS`
`static int` | `JJTVARIABLEDECLARATOR`
`static int` | `JJTVARIABLEDECLARATORID`
`static int` | `JJTVARIABLEINITIALIZER`
`static int` | `JJTVOID`
`static int` | `JJTWHILESTATEMENT`
`static int` | `JJTWILDCARDBOUNDS`

Field Detail

### JJTCOMPILATIONUNIT

    static final int JJTCOMPILATIONUNIT

See Also:
  Constant Field Values

### JJTPACKAGEDECLARATION

    static final int JJTPACKAGEDECLARATION

See Also:
  Constant Field Values

### JJTIMPORTDECLARATION

    static final int JJTIMPORTDECLARATION

See Also:
  Constant Field Values

### JJTVOID

    static final int JJTVOID

See Also:
  Constant Field Values

### JJTTYPEDECLARATION

    static final int JJTTYPEDECLARATION

See Also:
  Constant Field Values

### JJTCLASSORINTERFACEDECLARATION

    static final int JJTCLASSORINTERFACEDECLARATION

See Also:
  Constant Field Values

### JJTEXTENDSLIST

    static final int JJTEXTENDSLIST

See Also:
  Constant Field Values

### JJTIMPLEMENTSLIST

    static final int JJTIMPLEMENTSLIST

See Also:
  Constant Field Values

### JJTENUMDECLARATION

    static final int JJTENUMDECLARATION

See Also:
  Constant Field Values

### JJTENUMBODY

    static final int JJTENUMBODY

See Also:
  Constant Field Values

### JJTENUMCONSTANT

    static final int JJTENUMCONSTANT

See Also:
  Constant Field Values

### JJTTYPEPARAMETERS

    static final int JJTTYPEPARAMETERS

See Also:
  Constant Field Values

### JJTTYPEPARAMETER

    static final int JJTTYPEPARAMETER

See Also:
  Constant Field Values

### JJTTYPEBOUND

    static final int JJTTYPEBOUND

See Also:
  Constant Field Values

### JJTCLASSORINTERFACEBODY

    static final int JJTCLASSORINTERFACEBODY

See Also:
  Constant Field Values

### JJTCLASSORINTERFACEBODYDECLARATION

    static final int JJTCLASSORINTERFACEBODYDECLARATION

See Also:
  Constant Field Values

### JJTFIELDDECLARATION

    static final int JJTFIELDDECLARATION

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATOR

    static final int JJTVARIABLEDECLARATOR

See Also:
  Constant Field Values

### JJTVARIABLEDECLARATORID

    static final int JJTVARIABLEDECLARATORID

See Also:
  Constant Field Values

### JJTVARIABLEINITIALIZER

    static final int JJTVARIABLEINITIALIZER

See Also:
  Constant Field Values

### JJTARRAYINITIALIZER

    static final int JJTARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTMETHODDECLARATION

    static final int JJTMETHODDECLARATION

See Also:
  Constant Field Values

### JJTMETHODDECLARATOR

    static final int JJTMETHODDECLARATOR

See Also:
  Constant Field Values

### JJTFORMALPARAMETERS

    static final int JJTFORMALPARAMETERS

See Also:
  Constant Field Values

### JJTFORMALPARAMETER

    static final int JJTFORMALPARAMETER

See Also:
  Constant Field Values

### JJTCONSTRUCTORDECLARATION

    static final int JJTCONSTRUCTORDECLARATION

See Also:
  Constant Field Values

### JJTEXPLICITCONSTRUCTORINVOCATION

    static final int JJTEXPLICITCONSTRUCTORINVOCATION

See Also:
  Constant Field Values

### JJTINITIALIZER

    static final int JJTINITIALIZER

See Also:
  Constant Field Values

### JJTTYPE

    static final int JJTTYPE

See Also:
  Constant Field Values

### JJTREFERENCETYPE

    static final int JJTREFERENCETYPE

See Also:
  Constant Field Values

### JJTCLASSORINTERFACETYPE

    static final int JJTCLASSORINTERFACETYPE

See Also:
  Constant Field Values

### JJTTYPEARGUMENTS

    static final int JJTTYPEARGUMENTS

See Also:
  Constant Field Values

### JJTTYPEARGUMENT

    static final int JJTTYPEARGUMENT

See Also:
  Constant Field Values

### JJTWILDCARDBOUNDS

    static final int JJTWILDCARDBOUNDS

See Also:
  Constant Field Values

### JJTPRIMITIVETYPE

    static final int JJTPRIMITIVETYPE

See Also:
  Constant Field Values

### JJTRESULTTYPE

    static final int JJTRESULTTYPE

See Also:
  Constant Field Values

### JJTNAME

    static final int JJTNAME

See Also:
  Constant Field Values

### JJTNAMELIST

    static final int JJTNAMELIST

See Also:
  Constant Field Values

### JJTEXPRESSION

    static final int JJTEXPRESSION

See Also:
  Constant Field Values

### JJTASSIGNMENTOPERATOR

    static final int JJTASSIGNMENTOPERATOR

See Also:
  Constant Field Values

### JJTCONDITIONALEXPRESSION

    static final int JJTCONDITIONALEXPRESSION

See Also:
  Constant Field Values

### JJTCONDITIONALOREXPRESSION

    static final int JJTCONDITIONALOREXPRESSION

See Also:
  Constant Field Values

### JJTCONDITIONALANDEXPRESSION

    static final int JJTCONDITIONALANDEXPRESSION

See Also:
  Constant Field Values

### JJTINCLUSIVEOREXPRESSION

    static final int JJTINCLUSIVEOREXPRESSION

See Also:
  Constant Field Values

### JJTEXCLUSIVEOREXPRESSION

    static final int JJTEXCLUSIVEOREXPRESSION

See Also:
  Constant Field Values

### JJTANDEXPRESSION

    static final int JJTANDEXPRESSION

See Also:
  Constant Field Values

### JJTEQUALITYEXPRESSION

    static final int JJTEQUALITYEXPRESSION

See Also:
  Constant Field Values

### JJTINSTANCEOFEXPRESSION

    static final int JJTINSTANCEOFEXPRESSION

See Also:
  Constant Field Values

### JJTRELATIONALEXPRESSION

    static final int JJTRELATIONALEXPRESSION

See Also:
  Constant Field Values

### JJTSHIFTEXPRESSION

    static final int JJTSHIFTEXPRESSION

See Also:
  Constant Field Values

### JJTADDITIVEEXPRESSION

    static final int JJTADDITIVEEXPRESSION

See Also:
  Constant Field Values

### JJTMULTIPLICATIVEEXPRESSION

    static final int JJTMULTIPLICATIVEEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSION

    static final int JJTUNARYEXPRESSION

See Also:
  Constant Field Values

### JJTPREINCREMENTEXPRESSION

    static final int JJTPREINCREMENTEXPRESSION

See Also:
  Constant Field Values

### JJTPREDECREMENTEXPRESSION

    static final int JJTPREDECREMENTEXPRESSION

See Also:
  Constant Field Values

### JJTUNARYEXPRESSIONNOTPLUSMINUS

    static final int JJTUNARYEXPRESSIONNOTPLUSMINUS

See Also:
  Constant Field Values

### JJTPOSTFIXEXPRESSION

    static final int JJTPOSTFIXEXPRESSION

See Also:
  Constant Field Values

### JJTCASTEXPRESSION

    static final int JJTCASTEXPRESSION

See Also:
  Constant Field Values

### JJTPRIMARYEXPRESSION

    static final int JJTPRIMARYEXPRESSION

See Also:
  Constant Field Values

### JJTMEMBERSELECTOR

    static final int JJTMEMBERSELECTOR

See Also:
  Constant Field Values

### JJTPRIMARYPREFIX

    static final int JJTPRIMARYPREFIX

See Also:
  Constant Field Values

### JJTPRIMARYSUFFIX

    static final int JJTPRIMARYSUFFIX

See Also:
  Constant Field Values

### JJTLITERAL

    static final int JJTLITERAL

See Also:
  Constant Field Values

### JJTBOOLEANLITERAL

    static final int JJTBOOLEANLITERAL

See Also:
  Constant Field Values

### JJTNULLLITERAL

    static final int JJTNULLLITERAL

See Also:
  Constant Field Values

### JJTARGUMENTS

    static final int JJTARGUMENTS

See Also:
  Constant Field Values

### JJTARGUMENTLIST

    static final int JJTARGUMENTLIST

See Also:
  Constant Field Values

### JJTALLOCATIONEXPRESSION

    static final int JJTALLOCATIONEXPRESSION

See Also:
  Constant Field Values

### JJTARRAYDIMSANDINITS

    static final int JJTARRAYDIMSANDINITS

See Also:
  Constant Field Values

### JJTSTATEMENT

    static final int JJTSTATEMENT

See Also:
  Constant Field Values

### JJTLABELEDSTATEMENT

    static final int JJTLABELEDSTATEMENT

See Also:
  Constant Field Values

### JJTBLOCK

    static final int JJTBLOCK

See Also:
  Constant Field Values

### JJTBLOCKSTATEMENT

    static final int JJTBLOCKSTATEMENT

See Also:
  Constant Field Values

### JJTLOCALVARIABLEDECLARATION

    static final int JJTLOCALVARIABLEDECLARATION

See Also:
  Constant Field Values

### JJTEMPTYSTATEMENT

    static final int JJTEMPTYSTATEMENT

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSION

    static final int JJTSTATEMENTEXPRESSION

See Also:
  Constant Field Values

### JJTSWITCHSTATEMENT

    static final int JJTSWITCHSTATEMENT

See Also:
  Constant Field Values

### JJTSWITCHLABEL

    static final int JJTSWITCHLABEL

See Also:
  Constant Field Values

### JJTIFSTATEMENT

    static final int JJTIFSTATEMENT

See Also:
  Constant Field Values

### JJTWHILESTATEMENT

    static final int JJTWHILESTATEMENT

See Also:
  Constant Field Values

### JJTDOSTATEMENT

    static final int JJTDOSTATEMENT

See Also:
  Constant Field Values

### JJTFORSTATEMENT

    static final int JJTFORSTATEMENT

See Also:
  Constant Field Values

### JJTFORINIT

    static final int JJTFORINIT

See Also:
  Constant Field Values

### JJTSTATEMENTEXPRESSIONLIST

    static final int JJTSTATEMENTEXPRESSIONLIST

See Also:
  Constant Field Values

### JJTFORUPDATE

    static final int JJTFORUPDATE

See Also:
  Constant Field Values

### JJTBREAKSTATEMENT

    static final int JJTBREAKSTATEMENT

See Also:
  Constant Field Values

### JJTCONTINUESTATEMENT

    static final int JJTCONTINUESTATEMENT

See Also:
  Constant Field Values

### JJTRETURNSTATEMENT

    static final int JJTRETURNSTATEMENT

See Also:
  Constant Field Values

### JJTTHROWSTATEMENT

    static final int JJTTHROWSTATEMENT

See Also:
  Constant Field Values

### JJTSYNCHRONIZEDSTATEMENT

    static final int JJTSYNCHRONIZEDSTATEMENT

See Also:
  Constant Field Values

### JJTTRYSTATEMENT

    static final int JJTTRYSTATEMENT

See Also:
  Constant Field Values

### JJTCATCHSTATEMENT

    static final int JJTCATCHSTATEMENT

See Also:
  Constant Field Values

### JJTFINALLYSTATEMENT

    static final int JJTFINALLYSTATEMENT

See Also:
  Constant Field Values

### JJTASSERTSTATEMENT

    static final int JJTASSERTSTATEMENT

See Also:
  Constant Field Values

### JJTRUNSIGNEDSHIFT

    static final int JJTRUNSIGNEDSHIFT

See Also:
  Constant Field Values

### JJTRSIGNEDSHIFT

    static final int JJTRSIGNEDSHIFT

See Also:
  Constant Field Values

### JJTANNOTATION

    static final int JJTANNOTATION

See Also:
  Constant Field Values

### JJTNORMALANNOTATION

    static final int JJTNORMALANNOTATION

See Also:
  Constant Field Values

### JJTMARKERANNOTATION

    static final int JJTMARKERANNOTATION

See Also:
  Constant Field Values

### JJTSINGLEMEMBERANNOTATION

    static final int JJTSINGLEMEMBERANNOTATION

See Also:
  Constant Field Values

### JJTMEMBERVALUEPAIRS

    static final int JJTMEMBERVALUEPAIRS

See Also:
  Constant Field Values

### JJTMEMBERVALUEPAIR

    static final int JJTMEMBERVALUEPAIR

See Also:
  Constant Field Values

### JJTMEMBERVALUE

    static final int JJTMEMBERVALUE

See Also:
  Constant Field Values

### JJTMEMBERVALUEARRAYINITIALIZER

    static final int JJTMEMBERVALUEARRAYINITIALIZER

See Also:
  Constant Field Values

### JJTANNOTATIONTYPEDECLARATION

    static final int JJTANNOTATIONTYPEDECLARATION

See Also:
  Constant Field Values

### JJTANNOTATIONTYPEBODY

    static final int JJTANNOTATIONTYPEBODY

See Also:
  Constant Field Values

### JJTANNOTATIONTYPEMEMBERDECLARATION

    static final int JJTANNOTATIONTYPEMEMBERDECLARATION

See Also:
  Constant Field Values

### JJTANNOTATIONMETHODDECLARATION

    static final int JJTANNOTATIONMETHODDECLARATION

See Also:
  Constant Field Values

### JJTDEFAULTVALUE

    static final int JJTDEFAULTVALUE

See Also:
  Constant Field Values

### jjtNodeName

    static final java.lang.String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.